## com.google.common.collect
Interface MapDifference<K,V>

All Known Subinterfaces:
  SortedMapDifference<K,V>

    @GwtCompatible
    public interface MapDifference<K,V>

An object representing the differences between two maps.

Since:
  2.0 (imported from Google Collections Library)
Author:
  Kevin Bourrillion

Nested Class Summary
`static interface` `MapDifference.ValueDifference<V>` A difference between the mappings from two maps with the same key.

Method Summary
`boolean` `areEqual()` Returns `true` if there are no differences between the two maps; that is, if the maps are equal.
`Map<K,MapDifference.ValueDifference<V>>` `entriesDiffering()` Returns an unmodifiable map describing keys that appear in both maps, but with different values.
`Map<K,V>` `entriesInCommon()` Returns an unmodifiable map containing the entries that appear in both maps; that is, the intersection of the two maps.
`Map<K,V>` `entriesOnlyOnLeft()` Returns an unmodifiable map containing the entries from the left map whose keys are not present in the right map.
`Map<K,V>` `entriesOnlyOnRight()` Returns an unmodifiable map containing the entries from the right map whose keys are not present in the left map.
`boolean` `equals(Object object)` Compares the specified object with this instance for equality.
`int` `hashCode()` Returns the hash code for this instance.

Method Detail

### areEqual

    boolean areEqual()

  Returns `true` if there are no differences between the two maps; that is, if the maps are equal.

### entriesOnlyOnLeft

    Map<K,V> entriesOnlyOnLeft()

  Returns an unmodifiable map containing the entries from the left map whose keys are not present in the right map.

### entriesOnlyOnRight

    Map<K,V> entriesOnlyOnRight()

  Returns an unmodifiable map containing the entries from the right map whose keys are not present in the left map.

### entriesInCommon

    Map<K,V> entriesInCommon()

  Returns an unmodifiable map containing the entries that appear in both maps; that is, the intersection of the two maps.

### entriesDiffering

    Map<K,MapDifference.ValueDifference<V>> entriesDiffering()

  Returns an unmodifiable map describing keys that appear in both maps, but with different values.

### equals

    boolean equals(@Nullable
                   Object object)

  Compares the specified object with this instance for equality. Returns `true` if the given object is also a `MapDifference` and the values returned by the `entriesOnlyOnLeft()`, `entriesOnlyOnRight()`, `entriesInCommon()` and `entriesDiffering()` of the two instances are equal.

  Overrides:
    `equals` in class `Object`

### hashCode

    int hashCode()

  Returns the hash code for this instance. This is defined as the hash code of

         Arrays.asList(entriesOnlyOnLeft(), entriesOnlyOnRight(),
             entriesInCommon(), entriesDiffering())

  Overrides:
    `hashCode` in class `Object`

Copyright © 2010-2012. All Rights Reserved.